# Uses of Interface
org.sunflow.SunflowAPIInterface

Packages that use SunflowAPIInterface
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.parser

## Uses of SunflowAPIInterface in org.sunflow

Classes in org.sunflow that implement SunflowAPIInterface
Modifier and Type
Class
Description
`class`
`RealtimeBenchmark`
`class`
`SunflowAPI`
This API gives a simple interface for creating scenes procedurally.

## Uses of SunflowAPIInterface in org.sunflow.core

Methods in org.sunflow.core with parameters of type SunflowAPIInterface
Modifier and Type
Method
Description
`boolean`
SceneParser.`parse(String filename, SunflowAPIInterface api)`
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

## Uses of SunflowAPIInterface in org.sunflow.core.parser

Methods in org.sunflow.core.parser with parameters of type SunflowAPIInterface
Modifier and Type
Method
Description
`boolean`
RA2Parser.`parse(String filename, SunflowAPIInterface api)`
`boolean`
RA3Parser.`parse(String filename, SunflowAPIInterface api)`
`boolean`
SCAbstractParser.`parse(String filename, SunflowAPIInterface api)`
`boolean`
SCParser.`parse(String filename, SunflowAPIInterface api)`
`boolean`
ShaveRibParser.`parse(String filename, SunflowAPIInterface api)`
`boolean`
TriParser.`parse(String filename, SunflowAPIInterface api)`